var sk = 0; var sk = [0]; var pos; var created = 1;
var spawned = -1; var explode = 0; var peaceful = false;
var random_max = 30; 
var random_1 = 0; var random_2 = 26;  var itemID_1 = 261; var itemMin_1 = 1; var itemMax_1 = 1; var itemDmg_1 = 0;
var random_3 = 4; var random_4 = 24;  var itemID_2 = 262; var itemMin_2 = 0; var itemMax_2 = 10; var itemDmg_2 = 0;
var random_5 = 4; var random_6 = 20;  var itemID_3 = 2003; var itemMin_3 = 0; var itemMax_3 = 10; var itemDmg_3 = 0;
var random_7 = 0; var random_8 = 14;  var itemID_4 = 352; var itemMin_4 = 1; var itemMax_4 = 3; var itemDmg_4 = 0;
var random_9 = 0; var random_10 = 0;  var itemID_5 = 0; var itemMin_5 = 0; var itemMax_5 = 0; var itemDmg_5 = 0;

var shealth = 26; var moveSpeed = 1;
var texture = "mob/mystic_skeleton.png"; var damageSound = "";
var power = 2; var itemHeldID = 261;

for (var i = 0; spawnedEntities != null &&  i < spawnedEntities.length; i++) {var ent = spawnedEntities[i];
if (peaceful != true) {ent.setAttackStrength(power);} ent.setTexture(texture);
ent.setMaxHealth(shealth); ent.setMoveSpeed(moveSpeed); 
ent.setHealth(ent.getMaxHealth()); ent.pathToEntity(player);
var healthcare = ent.getHealth();
if (itemHeldID != 0) {ent.setHeldItem(Item(itemHeldID));}

for (ii = 0; entities [ii] != undefined && entities [ii] [0] != 0; ii++) {}
entities [ii] = []; entities [ii] [0] = ent.entityID; 
entities [ii] [1] = 1; entities [ii] [3] = ent.health; entities [ii] [2] = "skeleton";}

function everyTick() {}